This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 553908 - Review Request: rubygem-shoulda - Making tests easy on the fingers and eyes
Review Request: rubygem-shoulda - Making tests easy on the fingers and eyes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
:
: 632917 (view as bug list)
Depends On:
Blocks: 553902
  Show dependency treegraph
 
Reported: 2010-01-09 08:16 EST by Jeroen van Meeuwen
Modified: 2014-08-06 14:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-05 05:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2010-01-09 08:16:46 EST
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-shoulda.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/rubygem-shoulda-2.10.2-1.fc12.src.rpm
Description: Shoulda makes it easy to write elegant, understandable, and
maintainable tests.  Shoulda consists of test macros, assertions,
and helpers added on to the Test::Unit framework.  It's fully
compatible with your existing tests, and requires no retooling
to use.

 * NOTE: rake test fails with one failure and one error, which I don't understand
Comment 1 Ruben Kerkhof 2010-01-09 11:12:28 EST
Hi Jeroen,

- You're missing a BuildRequires on dos2unix
- You're missing a BuildRequires on rubygem-rake, rubygem-sqlite3-ruby, rubygem-mocha and rubygem-rails (for the tests)

Other than that, the tests fail for me as well, with the following output:

  1) Error:
test: Post should require body to be set. (PostTest):
ArgumentError: interning empty string
    config/initializers/./../../../lib/shoulda/active_record/matchers/allow_value_matcher.rb:62:in `errors_match?'
    config/initializers/./../../../lib/shoulda/active_record/matchers/allow_value_matcher.rb:43:in `matches?'
    config/initializers/./../../../lib/shoulda/active_record/matchers/validation_matcher.rb:44:in `disallows_value_of'
    config/initializers/./../../../lib/shoulda/active_record/matchers/validate_presence_of_matcher.rb:32:in `matches?'
    config/initializers/./../../../lib/shoulda/assertions.rb:49:in `assert_accepts'
    config/initializers/./../../../lib/shoulda/active_record/macros.rb:41:in `__bind_1263053408_210423'
    config/initializers/./../../../lib/shoulda/context.rb:351:in `call'
    config/initializers/./../../../lib/shoulda/context.rb:351:in `test: Post should require body to be set. '

  2) Failure:
test: should fail when trying to run: should require unique value for title. (PostTest)
    [/test/fail_macros.rb:33:in `__bind_1263053408_330430'
     config/initializers/./../../../lib/shoulda/context.rb:351:in `call'
     config/initializers/./../../../lib/shoulda/context.rb:351:in `test: should fail when trying to run: should require unique value for title. ']:
<Test::Unit::AssertionFailedError> exception expected but was
Class: <ArgumentError>
Message: <"interning empty string">
---Backtrace---
config/initializers/./../../../lib/shoulda/active_record/helpers.rb:5:in `map'
config/initializers/./../../../lib/shoulda/active_record/helpers.rb:5:in `pretty_error_messages'
config/initializers/./../../../lib/shoulda/active_record/matchers/allow_value_matcher.rb:95:in `error_description'
config/initializers/./../../../lib/shoulda/active_record/matchers/allow_value_matcher.rb:51:in `negative_failure_message'
config/initializers/./../../../lib/shoulda/active_record/matchers/validation_matcher.rb:45:in `disallows_value_of'
config/initializers/./../../../lib/shoulda/active_record/matchers/validate_uniqueness_of_matcher.rb:103:in `validate_attribute'
config/initializers/./../../../lib/shoulda/active_record/matchers/validate_uniqueness_of_matcher.rb:72:in `matches?'
config/initializers/./../../../lib/shoulda/assertions.rb:49:in `assert_accepts'
config/initializers/./../../../lib/shoulda/active_record/macros.rb:74:in `__bind_1263053408_330430'
/usr/lib/ruby/1.8/erb.rb:716:in `to_proc'
/test/fail_macros.rb:33:in `__bind_1263053408_330430'
config/initializers/./../../../lib/shoulda/context.rb:351:in `call'
config/initializers/./../../../lib/shoulda/context.rb:351:in `test: should fail when trying to run: should require unique value for title. '
---------------

463 tests, 578 assertions, 1 failures, 1 errors
Comment 2 Jeroen van Meeuwen 2010-01-09 11:52:56 EST
Buildrequirements have been fixed:

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-shoulda.spec
New SRPM: http://www.kanarip.com/custom/f12/SRPMS/rubygem-shoulda-2.10.2-2.fc12.src.rpm
Comment 3 Ruben Kerkhof 2010-01-09 14:13:49 EST
Thanks, much better.

Would you be so kind to report the failing tests upstream? I don't consider it a blocker though.

There are no further issues so this package is approved.
Comment 4 Jeroen van Meeuwen 2010-01-09 21:11:26 EST
New Package CVS Request
=======================
Package Name: rubygem-shoulda
Short Description: Making tests easy on the fingers and eyes
Owners: kanarip
Branches: EL-5 F-11 F-12 devel
InitialCC:
Comment 5 Jeroen van Meeuwen 2010-01-16 08:34:32 EST
I forgot to set a flag...
Comment 6 Jason Tibbitts 2010-01-19 14:23:14 EST
CVS done (by process-cvs-requests.py).
Comment 7 Ruben Kerkhof 2010-01-31 09:42:12 EST
Jeroen, can this be closed?
Comment 8 Jeroen van Meeuwen 2010-02-05 05:52:25 EST
Yes it can.
Comment 9 Mamoru TASAKA 2010-09-12 06:34:09 EDT
*** Bug 632917 has been marked as a duplicate of this bug. ***
Comment 10 Troy Dawson 2014-08-06 12:59:30 EDT
Package Change Request
======================
Package Name: rubygem-shoulda
New Branches: epel7
Owners: tdawson
Comment 11 Gwyn Ciesla 2014-08-06 14:42:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.